<?php

namespace App\Modules\External\Application;

use App\Modules\External\Domain\External;
use App\Modules\External\Domain\ExternalRepository;

class ExternalUpdater
{

    private ExternalRepository $repository;

    public function __construct(ExternalRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(External $htlCamp)
    {
        return $this->repository->update($htlCamp);
    }
}
